Subject: Re: bug#50985: Merging gnulib for Emacs 28.1?

From: Paul Eggert <[email-masked]>
Date: Sun, 3 Oct 2021 12:37:38 -0700

On 10/2/21 8:42 PM, Stefan Kangas wrote:
> Should we merge the latest changes from Gnulib into the emacs-28
> branch?

Yes, as there have been a fair number of Gnulib changes that Emacs could 
use for the usual portability and correctness reasons. Among other 
things, emacs-28 currently doesn't build on Fedora 34 (the current 
Fedora release) when you configure with --enable-gcc-warnings.

In July Eli gave the OK for me to merge Gnulib (see Bug#33847) but 
unfortunately I put it off. I'll look into doing that now.